- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.control.RadioButtonGroup Class Reference

The smjg.libs.sdwf.control.RadioButtonGroup class is used to interface a group of radio buttons. More...

List of all members.

## Public Member Functions
| this (Dialog p, int id1, uint c)
| Constructs a RadioButtonGroup object to interface a group of radio buttons.
Properties
int | selected ()
| The zero-based index of the currently selected radio button in the group.
int | selected (int sel)
| The zero-based index of the currently selected radio button in the group.
Operators
RadioButton | opIndex (int i)
| Gets a RadioButton object for a radio button in the group.
final int | opEquals (Object o)
final int | opEquals (RadioButtonGroup r)

## Detailed Description

The smjg.libs.sdwf.control.RadioButtonGroup class is used to interface a group of radio buttons.

In order for it to work correctly, the radio buttons must have consecutive IDs as defined in the dialog resource.

Todo:
  support radio buttons created in a window at runtime

## Constructor & Destructor Documentation

smjg.libs.sdwf.control.RadioButtonGroup.this | ( | Dialog | p,
|  | int | id1,
|  | uint | c |
| ) |  |  |

Constructs a RadioButtonGroup object to interface a group of radio buttons.

Parameters:

  | p | the dialog on which the radio buttons are placed.
  | id1 | the ID of the first radio button in the group.
  | c | the number of radio buttons in the group. Hence the IDs go from `firstID` to `firstID + count - 1`.

Status:
  done

## Member Function Documentation

int smjg.libs.sdwf.control.RadioButtonGroup.selected | ( |  | ) |

The zero-based index of the currently selected radio button in the group.

Status:
  done

int smjg.libs.sdwf.control.RadioButtonGroup.selected | ( | int | sel | ) |

The zero-based index of the currently selected radio button in the group.

Status:
  done

RadioButton smjg.libs.sdwf.control.RadioButtonGroup.opIndex | ( | int | i | ) |

Gets a RadioButton object for a radio button in the group.

(Implementation of `this[i]`.)

Parameters:

  | i | zero-based index of the radio button in the group.

Returns:
  a new RadioButton object interfacing the chosen radio button. The current implementation does not cache instances.

Status:
  done

final int smjg.libs.sdwf.control.RadioButtonGroup.opEquals | ( | Object | o | ) |

Determines whether this RadioButtonGroup is equal to another object.

Since:
  0.4

final int smjg.libs.sdwf.control.RadioButtonGroup.opEquals | ( | RadioButtonGroup | r | ) |

Determines whether this RadioButtonGroup is equal to another RadioButtonGroup. Two RadioButtonGroup objects are equal iff they interface the same range of radio buttons.

Since:
  0.4

The documentation for this class was generated from the following file:

- control.d